Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
victor85

[Nhờ chỉnh sửa] lisp matext (copy nội dung text này sang text kia)

Các bài được khuyến nghị

Mình có download trên diễn đàn lisp matext: copy nội dung text A cho text B. Nhưng nó chỉ dùng được 1 lần cho copy nội dung từ A sang B, đôi khi mình gặp các trường hợp cần dùng tiếp copy nội dung text A cho text C, D, E... nữa. Các bác chỉnh dùm cho nó thành mutiple dùm mình với nhé!

Lisp matext: http://www.cadviet.com/upfiles/3/matext.lsp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình có download trên diễn đàn lisp matext: copy nội dung text A cho text B. Nhưng nó chỉ dùng được 1 lần cho copy nội dung từ A sang B, đôi khi mình gặp các trường hợp cần dùng tiếp copy nội dung text A cho text C, D, E... nữa. Các bác chỉnh dùm cho nó thành mutiple dùm mình với nhé!

Lisp matext: http://www.cadviet.c...es/3/matext.lsp

Bạn nói sao ấy chứ! Lisp của bác Duy copy nội dung của Text A cho nội dung các Text B, C, D, E... thoải mái và chỉ một lần là thay tất cả. Miễn là khi dòng này xuất hiện "Chon TEXT,MTEXT,DIMENSION muon chinh :" thì bạn chọn tất cả các text B, C, D, E... luôn.

Thân thương!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình có download trên diễn đàn lisp matext: copy nội dung text A cho text B. Nhưng nó chỉ dùng được 1 lần cho copy nội dung từ A sang B, đôi khi mình gặp các trường hợp cần dùng tiếp copy nội dung text A cho text C, D, E... nữa. Các bác chỉnh dùm cho nó thành mutiple dùm mình với nhé!

Lisp matext: http://www.cadviet.c...es/3/matext.lsp

yêu cầu này thực ra ko cần vì bạn có thể chọn nhiều text 1 lần nhưng chỉ thêm vài dòng nên mình "múa rìu" vậy.

goodluck!

 


;Viet boi: KTS_DUY  BINH SON - QUANG NGAI
;Dien dan: tailieukythuat.com
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:mat ()
(command "undo" "be")
(setq donvi (/ (getvar "viewsize") 40))
(setq ddd (entsel "\nChon doi tuong mau"))
(while
(or
(null ddd)
(and (/= "TEXT" (cdr (assoc 0 (entget (car ddd))))) (/= "MTEXT" (cdr (assoc 0 (entget (car ddd))))) (/= "DIMENSION" (cdr (assoc 0 (entget (car ddd)))))
)
)
(setq ddd (entsel "\nDoi tuong phai la TEXT, MTEXT hoac DIMENSION! Chon lai"))
)
  (setq DT (car ddd))
  (setq DTM (entget DT))
  (setq NOIDUNG (cdr (assoc 1 DTM)))
  (setq DIEMCHENMAU (cdr (assoc 10 DTM)))

(setq diemvt1 (polar DIEMCHENMAU pi donvi))
(setq diemvt2 (polar DIEMCHENMAU (* 2 pi) donvi))
(setq diemvt3 (polar DIEMCHENMAU (/ pi 2) donvi))
(setq diemvt4 (polar DIEMCHENMAU (- 0 (/ pi 2)) donvi))
       	(grdraw diemvt1 diemvt2 3)
       	(grdraw diemvt3 diemvt4 3)
(while T
(Princ "\nChon TEXT,MTEXT,DIMENSION muon chinh :")
(setq xx (ssget '((0 . "TEXT,MTEXT,DIMENSION"))))
(if(not xx) (exit))
(setq L 0)
(setq M (sslength XX))
(while (< L M)
  		(setq DTs (ssname XX L))
  		(setq DTMs (entget DTs))
  		(setq NOIDUNGM NOIDUNG)
  		(setq DTMs (subst (cons 1 NOIDUNGM) (assoc 1 DTMs) DTMs))
  		(entmod DTMs)

  (setq L (1+ L))
)
 )
(command ".pan" DIEMCHENMAU DIEMCHENMAU)
(command "undo" "end")
(setvar "MODEMACRO" "**TAILIEUKYTHUAT.COM**")
 	(Princ))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

OK, đúng là cái yêu cầu của mình là thừa, mình chưa thử quét nhiều đối tượng cùng lúc. Thành thật xin lỗi vì đã làm phiền mọi người.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×